subroutine param_Pre2D_salt_ssf(Pre2D_salt_ssf_par)
  use sep
  use Pre2D_salt_ssf_types

  implicit none
  type (Pre2D_salt_ssf_param_type) Pre2D_salt_ssf_par
  integer, external :: auxpar,getch,fetch,auxin,sreed,sseek,auxout

  call from_param("reference_slowness",Pre2D_salt_ssf_par%ref_slow,'avg')
  call to_history("reference_slowness",Pre2D_salt_ssf_par%ref_slow)
  call from_param("n_slow_split",Pre2D_salt_ssf_par%n_slow_split,1)
  call to_history("n_slow_split",Pre2D_salt_ssf_par%n_slow_split)
  call from_param("lbf_order",Pre2D_salt_ssf_par%lbf_order,1)
  call to_history("lbf_order",Pre2D_salt_ssf_par%lbf_order)
  call from_param("n_disp_rel",Pre2D_salt_ssf_par%n_disp_rel,10001)
  call to_history("n_disp_rel",Pre2D_salt_ssf_par%n_disp_rel)
  call from_param("min_delta_slow",Pre2D_salt_ssf_par%min_delta_slow,.1)
  call to_history("min_delta_slow",Pre2D_salt_ssf_par%min_delta_slow)
  call from_param("vel_salt",Pre2D_salt_ssf_par%vel_salt,-1.)
  call to_history("vel_salt",Pre2D_salt_ssf_par%vel_salt)
  call from_param("slow_salt",Pre2D_salt_ssf_par%slow_salt,-1.)
  call to_history("slow_salt",Pre2D_salt_ssf_par%slow_salt)
  return
end subroutine param_Pre2D_salt_ssf
